/*******************************************************************************
 * FoxDialogBoxMessageBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxDialogBoxMessageBase extends FoxDialogBoxBase within FoxUI
    abstract
    native(UI)
    config(UI);

struct native MessageDialogBoxProperties
{
    var init string TitleText;
    var init string HeaderText;
    var init string BodyText;
    var init array<init int> AttachedUnlockIDs;
    var init string ExternalClickFunc;
    var bool bHasMessageBoxHeader;
    var delegate<PostReadMessage> OnReadMessageComplete;

    structdefaultproperties
    {
        TitleText=""
        HeaderText=""
        BodyText=""
        AttachedUnlockIDs=none
        ExternalClickFunc=""
        bHasMessageBoxHeader=false
        ReadMessa=None
    }
};

var delegate<PostReadMessage> __PostReadMessage__Delegate;

delegate PostReadMessage(bool bAccept)
{
    //return;    
}

protected function SetDialogFromProperties(const MessageDialogBoxProperties Properties)
{
    local int I;
    local BaseInventoryEntry ItemEntry;

    BindDialogOld(Properties.OnReadMessageComplete, GetBoundObjectPath());
    SetHeaderText(Properties.TitleText);
    // End:0x9C
    if(Properties.bHasMessageBoxHeader)
    {
        as_addDialogMessageBoxHeader(Properties.HeaderText);
    }
    as_addDialogMessageBox(Properties.BodyText);
    I = 0;
    J0xCD:
    // End:0x21A [Loop If]
    if(I < Properties.AttachedUnlockIDs.Length)
    {
        // End:0x20C
        if(Outer.GetItemTileFromCombinedItem(ItemEntry, Properties.AttachedUnlockIDs[I], true, false))
        {
            ItemEntry.extClickInterfaceFunc = Properties.ExternalClickFunc;
            ItemEntry.extClickInterfaceArg = string(ItemEntry.UnlockID);
            as_addDialogBoxItem();
            Outer.Advance(0.0);
            as_updateDialogBoxItem(ItemEntry);
            // [Explicit Break]
            goto J0x21A;
        }
        ++ I;
        J0x21A:
        // [Loop Continue]
        goto J0xCD;
    }
    //return;    
}

protected function ei_acceptButtonPressed()
{
    CloseDialog();
    NotifyButtonPressed(0);
    //return;    
}

protected function ei_cancelButtonPressed()
{
    CloseDialog();
    NotifyButtonPressed(1);
    //return;    
}

protected function as_addDialogMessageBoxHeader(string HeaderLabel)
{
    local GFxObject BoundObject;

    BoundObject = GetBoundObject();
    // End:0x5B
    if(BoundObject != none)
    {
        BoundObject.ActionScriptString("addSmallHeader");
    }
    //return;    
}

protected function as_addDialogMessageBox(string BodyText)
{
    local GFxObject BoundObject;

    BoundObject = GetBoundObject();
    // End:0x51
    if(BoundObject != none)
    {
        BoundObject.ActionScriptVoid("addMessageBox");
    }
    //return;    
}
